GET /api/token-supply

etherscan.io:etherscan-api

Summary: ERC20 Token Total Supply
Operation ID: getTokenSupply
Auth: api_key
Description

Get total supply of an ERC20 token. Returns supply in token's smallest unit (wei equivalent).

Parameters (5)

action (string, query, required)

Constraints: {'enum': ['tokensupply']}

apikey (string, query, required)

Your Etherscan API key (obtain free key at https://etherscan.io/apis)

chainid (string, query, required)

Chain ID (1=Ethereum Mainnet, 11155111=Sepolia, 8453=Base, 137=Polygon, 56=BSC, 42161=Arbitrum)

contractaddress (string, query, required)

ERC20 token contract address

module (string, query, required)

Constraints: {'enum': ['stats']}

Examples (3)

TitleTypeURLAction
Get USDC Total Supply on Ethereum Mainnet curl https://api.etherscan.io/api?module=stats&action=tokensupply&chainid=1&contractaddress=0xA0b86991c6218b36c1d19D4a2e9Eb0cE3606eB48
Get SHIB Total Supply on Ethereum Mainnet curl https://api.etherscan.io/api?module=stats&action=tokensupply&chainid=1&contractaddress=0x95aD61b0a150d79219dCF64E1E6Cc01f0B64C4cE
Get USDC Total Supply on Polygon curl https://api.etherscan.io/api?module=stats&action=tokensupply&chainid=137&contractaddress=0x2791Bca1f2de4661ED88A30C99A7a9449Aa84174

Probe History

Latency

Status Codes

TimeStatusLatencySize
2026-03-23 09:36:03.164442 200 552ms
2026-03-23 09:23:57.161904 200 541ms
2026-03-23 09:10:24.865729 200 561ms